%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:			bonito2-open
Version:		2.68
Release:		1%{?dist}
Summary:		Bonito2 is a web interface for Manatee

Group:			Applications/Text
License:		GPLv2+
URL:			http://nlp.fi.muni.cz/trac/ske_lite/
Source0:		http://corpora.fi.muni.cz/ske_lite/src/bonito2-open/%{name}-%{version}.tar.gz

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch

BuildRequires:	python-devel
BuildRequires:	python-cheetah

Requires:		manatee-open-python
Requires:		python-cheetah
Requires:		httpd

%description
Bonito2 is a graphical web interface for the Manatee corpus management system.

%package www
Summary:	Sample WWW installation of Bonito
Requires:	%{name}
Group:		Applications/Internet

%description www
Sample WWW installation of Bonito

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT
export MANATEE_REGISTRY=%{_localstatedir}/lib/manatee/registry
./setupbonito2 %{_localstatedir}/www/bonito2 %{_localstatedir}/lib/bonito2

%find_lang ske

# install Apache conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/bonito2.conf <<-EOF 
	Alias /bonito /var/www/bonito2
	<Directory /var/www/bonito2>
		Options +ExecCGI
		AddHandler cgi-script .cgi
	</Directory>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ske.lang
%defattr(-,root,root,-)
%{_bindir}/setupbonito2
%{_datadir}/bonito2
%{python_sitelib}/bonito2
%dir %{_localstatedir}/lib/bonito2/
%attr(0775,root,apache) %{_localstatedir}/lib/bonito2/cache
%attr(0775,root,apache) %{_localstatedir}/lib/bonito2/options
%attr(0775,root,apache) %{_localstatedir}/lib/bonito2/subcorp
%{_localstatedir}/lib/bonito2/htpasswd

%files www
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bonito2.conf
%{_localstatedir}/www/bonito2/css
%{_localstatedir}/www/bonito2/js
%{_localstatedir}/www/bonito2/img
%{_localstatedir}/www/bonito2/misc
%{_localstatedir}/www/bonito2/index.html
%{_localstatedir}/www/bonito2/.htaccess
%config(noreplace) %{_localstatedir}/www/bonito2/run.cgi

%changelog
* Wed Apr 06 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.68-1
- Update to 2.68

* Thu Mar 03 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.64.5-1
- Update to 2.64.5 (fix wordlist)

* Mon Feb 28 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.64.4-1
- Update to 2.64.4
- Change bonito2 dir to /var/lib/bonito2
- Change manatee dir to /var/lib/manatee
- Fix BR: manatee-python to manatee-open-python

* Tue Feb 08 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.62.3-1
- Update to 2.62.3

* Sat Oct 30 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.59.1-1
- Update to 2.59.1
- Replace %%{_localstatedir}/lib with %%{_localstatedir}/lib since
  the former one evaluates to %%{prefix}/com on EPEL5

* Wed Oct 13 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.57.15-1
- Update to 2.57.15

* Thu Apr 22 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.55.11-1
- Update to 2.55.11

* Wed Apr 21 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.55.4-2
- Move to /var/www/bonito2

* Thu Apr 15 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.55.4-1
- Update to 2.55.4

* Fri Apr 09 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.54-1
- Update to 2.54

* Fri Apr 09 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.53.3-1
- Update to 2.53.3
- Drop all patches (merged upstream)
- Fix permissions for apache on /var/www/html/ske
- Split www files into a -www subpackage

* Wed Jan 13 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 1.41.6-1
- Update to 1.41.6
- Proper DESTDIR in setupbonito2

* Tue Dec 22 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.41.1-1
- Update to 1.41.1
- Use XZ for sources compression

* Sun Jul 26 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.34-2
- Added R: manatee-python instead of manatee

* Sat Jun 20 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.34-1
- Initial package
